/*
* Title:	PupeDiagnosticsWin.h
* Author:	M.Thomas BEAM Ltd
* Date:		2007-02-13
*
* Contents:	Pupe Diagnostics window
*
* Mod Rec:
*
*/


#ifndef PUPEDIAGNOSTICSWIN_H
#define PUPEDIAGNOSTICSWIN_H

#include <BString.h>
#include <Control.h>
#include <TmsLib.h>
#include <CurveInfo.h>
#include <BQwtPlot.h>
#include <BQComboBox.h>
#include <qhbox.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qlineedit.h>

/*! Configure System and setup user interface window. 
*
*/
class PupeDiagnosticsWin : public QHBox {
        Q_OBJECT
public:
        PupeDiagnosticsWin(QWidget* w,Control& c);
	~PupeDiagnosticsWin();
public slots:
	void	show();					///< Update and make the widget visible
private slots:
	void	slotPlotEvent(QWheelEvent* e);
	void	update();				///< Update window to reflect user selection
	void	refresh();
	void 	plot();
	void 	setPlotData();
	void	saveFile();
private:
	void	warningDialog(BString title, BError err);

	Control&		ocontrol;

	BArray< UInt64 >	odata;

	BQwtPlot*		oplotA;
	BQwtPlot*		oplotB;
	BQwtPlot*		oplotC;
	BQwtPlot*		oplotD;

	CurveInfo	ox;
	BList<CurveInfo>	ocurves;
	
	
	QSpinBox*	ochannel;
	BQComboBox*	osource;
	BQComboBox*	oclock;

	QCheckBox*	otriggerSourceData;
	QCheckBox*	otriggerAnd;
	QCheckBox*	otriggerStore;
	
	QLineEdit*	ostartTime;
	QLineEdit*	opostTriggerDelay;
	QLineEdit*	otriggerMask;
};
#endif
